Package Details: libadwaita-git-demos 1.3.rc+311+ge810d86b-2

Git Clone URL: https://aur.archlinux.org/libadwaita-git.git (read-only, click to copy)
Package Base: libadwaita-git
Description: Building blocks for modern adaptive GNOME applications (demo applications)
Upstream URL: https://gnome.pages.gitlab.gnome.org/libadwaita
Licenses: LGPL
Provides: libadwaita-demos
Submitter: tallero
Maintainer: tallero (truocolo)
Last Packager: truocolo
Votes: 7
Popularity: 0.000006
First Submitted: 2021-01-20 02:44 (UTC)
Last Updated: 2023-12-18 09:06 (UTC)

Dependencies (10)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 5 6 Next › Last »

Bitals commented on 2023-12-18 19:48 (UTC) (edited on 2023-12-18 19:49 (UTC) by Bitals)

Okay, I found that only encapsulating the whole check() into a bash subshell works as expected:

diff --git a/PKGBUILD b/PKGBUILD
index 1a4f782..2c15238 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -46,7 +46,7 @@ source=(
 sha256sums=(SKIP)

 pkgver() {
-  cd "${_pkgname}"
+  cd "$srcdir/${_pkgname}"
   git describe --tags | sed 's/-/+/g'
 }

@@ -56,6 +56,7 @@ build() {
 }

 check() {
+  bash -c ' \
   export XDG_RUNTIME_DIR="$PWD/runtime-dir" \
          WAYLAND_DISPLAY=wayland-5

@@ -65,12 +66,13 @@ check() {
          --idle-time=0 &
   _w=$!

-  bash trap "kill ${_w}; wait" EXIT
+  trap "kill ${_w}; wait" EXIT

   meson \
     test \
       -C build \
       --print-errorlogs
+  '
 }

 _pick() {

Should also guarantee that ${_w} exist inside that shell, because it's still the same one.

Bitals commented on 2023-12-18 19:20 (UTC) (edited on 2023-12-18 19:20 (UTC) by Bitals)

Disregard my previous comment about trap, that was incorrect. Debugging rn.

Bitals commented on 2023-12-18 17:49 (UTC) (edited on 2023-12-18 19:10 (UTC) by Bitals)

17:42:51 ==> Starting pkgver()...
17:42:51 /home/builder/.cache/aurutils/sync/libadwaita-git/PKGBUILD: line 49: cd: libadwaita: No such file or directory
17:42:51 ==> ERROR: A failure occurred in pkgver().
17:42:51     Aborting...

My guess is it should be cd "$srcdir/${_pkgname}", but I can't test right now.

EDIT: indeed it should, tested works.

Bitals commented on 2023-12-18 07:31 (UTC)

@truocolo

31 depends=(i
32  "gtk4>=4.11")

truocolo commented on 2023-12-13 18:44 (UTC) (edited on 2023-12-13 19:00 (UTC) by truocolo)

I do not see i dependencies in the PKGBUILD, could you highlight the line?

Reported arch for this environment with pacman inside im running returns arm so I've added it. Should be armv7h but returns arm and I didn't want to question how it is that it accept arm instead.

I would definitely appreciate a meld binary at this moment.

Yeah, I've read that comment in August 2022. Do you think he meant to do something like bash trap "kill ${_w}; wait" EXIT?

FabioLolix commented on 2023-12-13 18:18 (UTC)

Hello truocolo

==> Installing missing dependencies...
error: target not found: i
  • package i don't exist
  • arm (armv5) port no longer exist
  • check() still fail hang on forever when builded with devtools, see https://aur.archlinux.org/pkgbase/libadwaita-git#comment-882356
  • it has been bumped pkgrel, but in practice should have been both build the package and bump the pkgrel to push changes in depends, when is the case

Bitals commented on 2023-12-05 09:58 (UTC) (edited on 2023-12-05 09:58 (UTC) by Bitals)

In a clean environment:

Did not find CMake 'cmake'
Found CMake: NO
Run-time dependency appstream found: NO (tried pkgconfig and cmake)

So cmake is also a makedep.

xiretza commented on 2023-08-23 08:59 (UTC)

Also tests are still not being run in a subshell.